package com.zhentao.controller;

import cn.hutool.crypto.digest.DigestUtil;
import com.zhentao.pojo.AppRequest;
import com.zhentao.pojo.AppRequests;
import com.zhentao.vo.Result;
import jakarta.validation.Valid;
import org.springframework.util.DigestUtils;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.Map;

@RestController
@RequestMapping("app")
public class AppController {
    @PostMapping("/order")
    public Result createOrder(
            @RequestHeader("reqId") String reqId,
            @Valid @RequestBody AppRequest request) {
        //验证签名
        Map<String, Object> response = new HashMap<>();
        response.put("code", 200);
        response.put("message", "订单创建成功");
        response.put("reqId", reqId);
        response.put("data", request);

        return new Result(Result.OK,response,null);
    }
    // 接口二: GET Form参数
    @GetMapping("/query")
    public Result queryOrder(
            @RequestHeader("reqId") String reqId,
           AppRequests request) {

        Map<String, Object> response = new HashMap<>();
        response.put("code", 200);
        response.put("message", "查询成功");
        response.put("reqId", reqId);
        response.put("data", request);

        return new Result(Result.OK,response,null);
    }
    //生成请求签名
    private String generateSign(AppRequest request) {
        String token = request.getAppId() + request.getGoodsId() + request.getReqTime() + request.getReqId();
        return DigestUtils.md5DigestAsHex(token.getBytes()).toUpperCase();
    }
}
