package com.zhentao.pojo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import jakarta.validation.constraints.*;
import lombok.Data;

import java.util.Date;

@Data
public class AppRequests {
    @NotBlank(message = "appId不能为空")
    private String appId;

    @NotBlank(message = "sign不能为空")
    private String sign;

    @NotNull(message = "reqTime不能为空")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long reqTime;

    @NotBlank(message = "goodsId不能为空")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private String goodsId;

    @Min(value = 1, message = "最小值1")
    private Integer amount;

    @DecimalMin(value = "0", message = "最小值0")
    @DecimalMax(value = "9999",message = "最大值9999")
    private Double price;

    @Pattern(regexp = "^1[3-9]\\d{9}$", message = "手机号格式不正确")
    private String mobile;

    @NotNull(message = "日期不能为空")
    private String nowDate;
}
